System.ServiceModel 4.0.0.0 System.Enum To be added.

An enumeration that lists the ways of validating a certificate.

- Field
  4.0.0.0
  System.ServiceModel.Security.X509CertificateValidationMode

  The certificate is valid if the chain builds to a certification authority in the trusted root store.

- Field
  4.0.0.0
  System.ServiceModel.Security.X509CertificateValidationMode

  The user must plug in a custom to validate the certificate.

- Field
  4.0.0.0
  System.ServiceModel.Security.X509CertificateValidationMode

  No validation of the certificate is done.

- Field
  4.0.0.0
  System.ServiceModel.Security.X509CertificateValidationMode

  The certificate is valid if it is in the trusted people store, or if the chain builds to a certification authority in the trusted root store.

- Field
  4.0.0.0
  System.ServiceModel.Security.X509CertificateValidationMode

  The certificate is valid if it is in the trusted people store.